IsArrayContainingInOrder (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.collection

## Class IsArrayContainingInOrder<E>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<E[]>
    - - org.hamcrest.collection.IsArrayContainingInOrder<E>

- All Implemented Interfaces:
    Matcher<E[]>, SelfDescribing

      public class IsArrayContainingInOrder<E>
      extends TypeSafeMatcher<E[]>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsArrayContainingInOrder(java.util.List<Matcher<? super E>> matchers)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <E> Matcher<E[]>` | `arrayContaining(E... items)` Creates a matcher for arrays that matches when each item in the examined array is logically equal to the corresponding item in the specified items.
    `static <E> Matcher<E[]>` | `arrayContaining(java.util.List<Matcher<? super E>> itemMatchers)` Creates a matcher for arrays that matches when each item in the examined array satisfies the corresponding matcher in the specified list of matchers.
    `static <E> Matcher<E[]>` | `arrayContaining(Matcher<? super E>... itemMatchers)` Creates a matcher for arrays that matches when each item in the examined array satisfies the corresponding matcher in the specified matchers.
    `void` | `describeMismatchSafely(E[] item, Description mismatchDescription)` Subclasses should override this.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `boolean` | `matchesSafely(E[] item)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsArrayContainingInOrder

          public IsArrayContainingInOrder(java.util.List<Matcher<? super E>> matchers)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(E[] item)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<E[]>`

    - #### describeMismatchSafely

          public void describeMismatchSafely(E[] item,
                                             Description mismatchDescription)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should override this. The item will already have been checked for the specific type and will never be null.
      Overrides:
        `describeMismatchSafely` in class `TypeSafeMatcher<E[]>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### arrayContaining

          public static <E> Matcher<E[]> arrayContaining(E... items)

      Creates a matcher for arrays that matches when each item in the examined array is logically equal to the corresponding item in the specified items. For a positive match, the examined array must be of the same length as the number of specified items. For example:

          assertThat(new String[]{"foo", "bar"}, contains("foo", "bar"))

      Parameters:
        `items` - the items that must equal the items within an examined array

    - #### arrayContaining

          public static <E> Matcher<E[]> arrayContaining(Matcher<? super E>... itemMatchers)

      Creates a matcher for arrays that matches when each item in the examined array satisfies the corresponding matcher in the specified matchers. For a positive match, the examined array must be of the same length as the number of specified matchers. For example:

          assertThat(new String[]{"foo", "bar"}, contains(equalTo("foo"), equalTo("bar")))

      Parameters:
        `itemMatchers` - the matchers that must be satisfied by the items in the examined array

    - #### arrayContaining

          public static <E> Matcher<E[]> arrayContaining(java.util.List<Matcher<? super E>> itemMatchers)

      Creates a matcher for arrays that matches when each item in the examined array satisfies the corresponding matcher in the specified list of matchers. For a positive match, the examined array must be of the same length as the specified list of matchers. For example:

          assertThat(new String[]{"foo", "bar"}, contains(Arrays.asList(equalTo("foo"), equalTo("bar"))))

      Parameters:
        `itemMatchers` - a list of matchers, each of which must be satisfied by the corresponding item in an examined array